summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGiovanni Bechis <gbechis@apache.org>2023-05-09 21:58:27 +0000
committerGiovanni Bechis <gbechis@apache.org>2023-05-09 21:58:27 +0000
commitfca209be5638c1f35e9dd16b1816091b5db38d74 (patch)
treefe169000881b98f275fd387964b4ae129e46ee4d
parent4c9ca36ff935841843b1dc20e4a37e47f1e9ba5a (diff)
downloadhttpd-fca209be5638c1f35e9dd16b1816091b5db38d74.tar.gz
ignore errors due to races if a parallel mkdir.sh already
created the dir git-svn-id: https://svn.apache.org/repos/asf/httpd/httpd/trunk@1909707 13f79535-47bb-0310-9956-ffa450edef68
-rwxr-xr-xbuild/mkdir.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/build/mkdir.sh b/build/mkdir.sh
index 13683ffcab..0c6a9ef5a8 100755
--- a/build/mkdir.sh
+++ b/build/mkdir.sh
@@ -38,7 +38,13 @@ for file in ${1+"$@"} ; do
continue ;;
esac
if test ! -d "$pathcomp"; then
- mkdir "$pathcomp" || errstatus=$?
+ thiserrstatus=0
+ mkdir "$pathcomp" || thiserrstatus=$?
+ # ignore errors due to races if a parallel mkdir.sh already
+ # created the dir
+ if test $thiserrstatus != 0 && test ! -d "$pathcomp" ; then
+ errstatus=$thiserrstatus
+ fi
fi
pathcomp="$pathcomp/"
done